# $Revision: 1.29 $, $Date: 2010/02/09 20:14:27 $
Summary:	A utility which displays a tree view of the contents of directories
Summary(de.UTF-8):	Druckt eine Ansicht einer Dateihierarchie
Summary(fr.UTF-8):	Affiche une arborescence de répertoires
Summary(pl.UTF-8):	Narzędzie wyświetlające zawartość katalogów w postaci drzewka
Summary(tr.UTF-8):	Bir dizin ağacının görünümünü listeler
Name:		tree
Version:	1.5.3
Release:	1
License:	GPL
Group:		Applications/File
Source0:	ftp://mama.indstate.edu/linux/tree/%{name}-%{version}.tgz
# Source0-md5:	c07ce9065667a23f27aca4de8ecccb10
Patch1:		%{name}-gcc34.patch
URL:		http://mama.indstate.edu/users/ice/tree/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The tree utility recursively displays the contents of directories in a
tree-like format. Tree is basically a UNIX port of the tree DOS
utility.

%description -l de.UTF-8
Dieses Programm ist im Prinzip ein UNIX-Port des äußerst praktischen
DOS-Utility-Programms tree, das eine Darstellung des gewünschten
Verzeichnisbaums ausgibt, zusammen mit den Dateien, die ihm gehören.
Beinhaltet auch Unterstützung für 'color ls'-artige Auflistungen.

%description -l fr.UTF-8
Ce programme est à la base un portage sous UNIX de l'utilitaire DOS
'tree', qui affiche l'arbrescence d'un répertoire spécifié. Il inclue
un support pour des listings de style 'color ls'.

%description -l pl.UTF-8
Narzędzie tree rekursywnie wyświetla zawartość katalogów w formacie
drzewka. Jest to uniksowy port programu tree znanego z DOS.

%description -l tr.UTF-8
Bu program kullanışlı bir DOS aracı olan tree'nin UNIX'e taşınmış
biçimidir. Bir dizin ağacının görünümünü içinde yer alan altdizinler
ve dosyalarla beraber listeler.

%prep
%setup -q
%patch1 -p1

%build
rm -f tree-1.4
%{__make} CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/tree
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tree.spec,v $
Revision 1.29  2010/02/09 20:14:27  duddits
- up to 1.5.3

Revision 1.28  2009/03/06 19:26:38  duddits
- up to 1.5.2.2
- rel. 1

Revision 1.27  2008/10/03 09:26:28  duddits
- up to 1.5.2.1
- URL added

Revision 1.26  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.24  2004/09/20 00:07:42  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.23  2004/07/19 18:53:27  qboosh
- added pre to release (broken already)

Revision 1.22  2004/07/19 11:20:31  qwark
- up to b3 version fron b2 and gcc34 patch

Revision 1.21  2003/09/25 15:59:54  mwinkler
- build fix

Revision 1.20  2003/05/28 13:02:21  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:27:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/11/29 22:46:52  ankry
- massive attack: new %%doc

Revision 1.17  2002/05/08 17:13:58  pioklo
-up to 1.4 ,STBR

Revision 1.16  2002/02/23 04:55:16  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/06/25 08:06:41  kloczek
- release 3.

Revision 1.12  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.11  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.10  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.9  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.8  2000/09/29 08:34:10  kloczek
- typo (missing "?").

Revision 1.7  2000/09/29 08:31:17  kloczek
- release 2,
- use rpm new automation suit,
- more modifications for %%{debug}.

Revision 1.6  2000/09/26 05:42:28  kloczek
- make %%debug friendly.

Revision 1.5  2000/09/26 05:40:44  kloczek
- updated to 1.3,
- completly rewrited in PLD style,
- merged de, fr, tr translations from old BeroLinux spec.

Revision 1.4  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.2  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw

Based on RH spec.
